package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * WfUspPfPara对象 wf_usp_pf_para
 *
 * @author hlf
 * @date 2021-09-02
 */
public class WfUspPfPara extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long modelNo;

    private Date pfProcTime;

    private Date pfDayProcTime;

    private Date pfMonthProcTime;

    private Long pfType;

    private String para;

    private String mem;

    private Long ifModelValid;

    private String windplantName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setModelNo(Long modelNo) {
        this.modelNo = modelNo;
    }

    public Long getModelNo() {
        return modelNo;
    }

    public void setPfProcTime(Date pfProcTime) {
        this.pfProcTime = pfProcTime;
    }

    public Date getPfProcTime() {
        return pfProcTime;
    }

    public void setPfDayProcTime(Date pfDayProcTime) {
        this.pfDayProcTime = pfDayProcTime;
    }

    public Date getPfDayProcTime() {
        return pfDayProcTime;
    }

    public void setPfMonthProcTime(Date pfMonthProcTime) {
        this.pfMonthProcTime = pfMonthProcTime;
    }

    public Date getPfMonthProcTime() {
        return pfMonthProcTime;
    }

    public void setPfType(Long pfType) {
        this.pfType = pfType;
    }

    public Long getPfType() {
        return pfType;
    }

    public void setPara(String para) {
        this.para = para;
    }

    public String getPara() {
        return para;
    }

    public void setMem(String mem) {
        this.mem = mem;
    }

    public String getMem() {
        return mem;
    }

    public void setIfModelValid(Long ifModelValid) {
        this.ifModelValid = ifModelValid;
    }

    public Long getIfModelValid() {
        return ifModelValid;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    /*关联表查询开始*/
    private String itemName;

    public String getItemName() {
        return itemName;
    }

    public void setItemName(String itemName) {
        this.itemName = itemName;
    }
    /*关联表查询结束*/

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("modelNo", getModelNo())
                .append("pfProcTime", getPfProcTime())
                .append("pfDayProcTime", getPfDayProcTime())
                .append("pfMonthProcTime", getPfMonthProcTime())
                .append("pfType", getPfType())
                .append("para", getPara())
                .append("mem", getMem())
                .append("ifModelValid", getIfModelValid())
                .toString();
    }
}
